curl "https://api.ionq.co/v0.3/jobs" \
-H "Authorization: apiKey your-api-key"{
"jobs": [
{
"id": "aa54e783-0a9b-4f73-ad2f-63983b6aa4a8",
"status": "completed",
"request": 1490932820,
"name": "My Awesome Job",
"target": "simulator",
"noise": {
"model": "harmony",
"seed": 100
},
"metadata": {
"custom_key": "a string, maximum 400 chars"
},
"shots": 100,
"error_mitigation": {
"debias": true
},
"gate_counts": {
"1q": 8,
"2q": 2
},
"qubits": 4,
"cost_model": "QCT",
"cost_usd": 12.41,
"cost_credit": 12.41,
"start": 1490932821,
"response": 1490932834,
"execution_time": 13,
"predicted_execution_time": 13,
"children": [
"aa54e783-0a9b-4f73-ad2f-63983b6aa4a8"
],
"results_url": "/v0.3/jobs/617a1f8b-59d4-435d-aa33-695433d7155e/results",
"failure": {
"error": "An error occurred!",
"code": "internal_error"
},
"warning": {
"messages": [
"<string>"
]
},
"circuits": 1,
"dry_run": false
}
],
"next": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Get Jobs
NOTE: If request filters are provided, this endpoint will limit responses to 1 or more specific jobs based on those filters.
This endpoint retrieves all jobs this API key is authorized to view.
curl "https://api.ionq.co/v0.3/jobs" \
-H "Authorization: apiKey your-api-key"{
"jobs": [
{
"id": "aa54e783-0a9b-4f73-ad2f-63983b6aa4a8",
"status": "completed",
"request": 1490932820,
"name": "My Awesome Job",
"target": "simulator",
"noise": {
"model": "harmony",
"seed": 100
},
"metadata": {
"custom_key": "a string, maximum 400 chars"
},
"shots": 100,
"error_mitigation": {
"debias": true
},
"gate_counts": {
"1q": 8,
"2q": 2
},
"qubits": 4,
"cost_model": "QCT",
"cost_usd": 12.41,
"cost_credit": 12.41,
"start": 1490932821,
"response": 1490932834,
"execution_time": 13,
"predicted_execution_time": 13,
"children": [
"aa54e783-0a9b-4f73-ad2f-63983b6aa4a8"
],
"results_url": "/v0.3/jobs/617a1f8b-59d4-435d-aa33-695433d7155e/results",
"failure": {
"error": "An error occurred!",
"code": "internal_error"
},
"warning": {
"messages": [
"<string>"
]
},
"circuits": 1,
"dry_run": false
}
],
"next": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Query Parameters
If provided, will only return jobs whose UUID matches the list provided.
UUID of a job
If provided, will only return jobs whose status matches the one provided. Status of a job.
submitted, ready, running, canceled, completed, failed "completed"
If provided, will only return jobs from a project you belong to where the jobs belong to the specified user ID also in that project. This parameter is ignored if not a part of the associated project specified by project_id.
If provided, will only return jobs associated with the UUID of a project you belong to.
How many objects to return.
1 <= x <= 25ID of next batch of resources to load.
Was this page helpful?

